/**
 * courseProgress.css
 */
/**
 * General
 */
.in-progress {
    font-size: 20px;
    color:red;
}
.collapse.in .nav-item:nth-child(even) {
    background-color: rgb(126, 116, 198);
}
.collapse.in .nav-item:nth-child(odd) {
    background-color: rgb(170, 163, 224);
}

.component-main-container .content-container, 
.component-main-container .content-container.shrinked-content,
.cmc-container {
    background-color:#ffffff;
}
.cmc-container {
    width: calc(100% + 40px);
    margin-top:20px;
    margin-left:-20px;
    padding-top:0px;
}
.content-container.full-width {
    width: 100%;
}
.course-progress-container {
    overflow-x:hidden;
}
.icon-show-list {
    visibility:hidden;
}

@media(max-width:992px) {

    .cmc-container {
        top: 50px;
    }

}

@media(max-width:767px) {

    .cmc-container {
        top: 0px;
        width: 100%;
        margin-left: 0;
        padding: 35px;
    }

}

/**
 * Header
 */
.content-header {
    display: block;
    position: relative;
    margin-left:15%;
    padding-left: 0px;
    padding-right: 0px;
    text-align:left;
}
.content-header .title,
.content-header .content-msg {
    display: block;
    position: relative;
    width:100%;
    height:auto;
}
.content-header .title {
    margin-bottom: 5px;
    color: #333333;
}
.content-header .content-msg {
    margin-top:0px;
    margin-bottom:30px;
    text-align:left;
}
.content-header .content-msg p, 
.content-msg span, 
.content-msg b,
.content-msg small {
    position: relative;
    width:100%;
}
.content-header .content-msg p {
    margin-bottom: 5px;
    font-weight: 500;
    font-size: 1.3em;
}
.content-header .content-msg a {
    color:#66299e;
}
.content-msg small {
    float: left;
}

@media(max-width:767px) {

    .content-header {
        margin-left: 0px;
    }
    .content-header .title {
        font-size: 2.5em;
    }
    .content-header .content-msg p {
        font-size: 1.1em;
    }
    .content-msg small {
        margin-top: 5px;
    }

}

/**
 * Percentage message
 */
.percentage-msg {
    display:block;
    position:relative;
    width:auto;
    height:auto;
    margin-top: 20px;
    margin-bottom: 30px;
    text-align: center;
}
.percentage-msg .heading-2 {
    margin-top:-5px;
    text-align: center;
    font-size: 1.4em;
    font-weight: 500;
    color: #333333;
}
.percentage-msg .heading-3 {
    margin-top:10px;
    text-align: center;
    font-size: 1.2em;
    font-weight: 500;
    color: #333333;
}
.percentage-msg .fadded-in {
    animation-name: fadded-in;
    animation-duration: 750ms;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: fadded-in;
    -webkit-animation-duration: 750ms;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: fadded-in;
    -moz-animation-duration: 750ms;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: fadded-in;
    -ms-animation-duration: 750ms;
    -ms-animation-fill-mode: forwards;
}
.percentage-msg .course-percentage,
.percentage-msg .course-percentage.bigger {
    font-weight: 600;
    color: #111111;
}
.percentage-msg .course-percentage {
    animation-name: decrease-font-size;
    animation-duration: 1500ms;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: decrease-font-size;
    -webkit-animation-duration: 1500ms;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: decrease-font-size;
    -moz-animation-duration: 1500ms;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: decrease-font-size;
    -ms-animation-duration: 1500ms;
    -ms-animation-fill-mode: forwards;
}
.percentage-msg .course-percentage.bigger {
    animation-name: increase-font-size;
    animation-duration: 1500ms;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: increase-font-size;
    -webkit-animation-duration: 1500ms;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: increase-font-size;
    -moz-animation-duration: 1500ms;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: increase-font-size;
    -ms-animation-duration: 1500ms;
    -ms-animation-fill-mode: forwards;
}

@media(max-width: 992px) {

    .percentage-msg {
        margin-bottom: 50px;
    }

}

@media(max-width:767px) {

    .percentage-msg {
        margin-bottom: 40px;
    }

}

/**
 * Increase font size
 */
 @keyframes increase-font-size {
    from {
        font-size: 0px;
    }
    to {
        font-size: 35px;
    }
}
@-moz-keyframes increase-font-size {
    from {
        font-size: 0px;
    }
    to {
        font-size: 35px;
    }
}
@-webkit-keyframes increase-font-size {
    from {
        font-size: 0px;
    }
    to {
        font-size: 35px;
    }
}

/**
 * Decrease font size
 */
 @keyframes decrease-font-size {
    from {
        font-size: 30px;
    }
    to {
        font-size: 0px;
    }
}
@-moz-keyframes decrease-font-size {
    from {
        font-size: 30px;
    }
    to {
        font-size: 0px;
    }
}
@-webkit-keyframes decrease-font-size {
    from {
        font-size: 30px;
    }
    to {
        font-size: 0px;
    }
}

@media(max-width:767px) {
    /** ... */
}

@media(max-width:400px) {
    /** ... */
}


/**
 * Summarized Info
 */
.summarized-info {
    margin-top:-20px;
    padding-top:40px;
    padding-bottom:10px;
    padding-left: 20px;
    padding-right: 20px;
    background-color:#ffffff;
    border: 1px solid #ffffff;
}
.summarized-info.fadded-out {
    opacity:0;
    visibility: hidden;
}

@media(max-width:767px) {

    .summarized-info {
        min-height: 250px;
        padding-left: 0px;
        padding-right: 0px;
    }

}

/**
 * Detailed Info
 */
.detailed-info {
    padding-top:30px;
    padding-bottom: 50px;
    background-color:#ffffff;
}
.detailed-info.fadded-out {
    opacity:0;
    visibility: hidden;
}
.detailed-info.fadded-in {
    animation-name: fadded-in;
    animation-duration: 750ms;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: fadded-in;
    -webkit-animation-duration: 750ms;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: fadded-in;
    -moz-animation-duration: 750ms;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: fadded-in;
    -ms-animation-duration: 750ms;
    -ms-animation-fill-mode: forwards;
}

/**
 * Fadded out
 */
 @keyframes fadded-out {
    from {
        opacity:1;
        visibility: visible;
    }
    to {
        opacity:0;
        visibility: hidden;
    }
}
@-moz-keyframes fadded-out {
    from {
        opacity:1;
        visibility: visible;
    }
    to {
        opacity:0;
        visibility: hidden;
    }
}
@-webkit-keyframes fadded-out {
    from {
        opacity:1;
        visibility: visible;
    }
    to {
        opacity:0;
        visibility: hidden;
    }
}

/**
 * Fadded in
 */
@keyframes fadded-in {
    from {
        opacity:0;
        visibility: hidden;
    }
    to {
        opacity:1;
        visibility: visible;
    }
}
@-moz-keyframes fadded-in {
    from {
        opacity:0;
        visibility: hidden;
    }
    to {
        opacity:1;
        visibility: visible;
    }
}
@-webkit-keyframes fadded-in {
    from {
        opacity:0;
        visibility: hidden;
    }
    to {
        opacity:1;
        visibility: visible;
    }
}

@media(max-width: 767px) {

    .detailed-info {
        padding-top: 0px;
    }

}

/**
 * Question status container
 */
.question-status {
    display: block;
    position: relative;
    left: 0px;
    top: 30px;
    width: auto;
    height: auto;
    margin-left: 25px;
    margin-right: 25px;
    margin-bottom: 0px;
    overflow-x: hidden;
}
#unitQuestionStatus_1, 
#unitQuestionStatus_2, 
#unitQuestionStatus_3 {
    position: relative;
    display: block;
    width: 300px;
    height: auto;
    margin: auto;
    margin-bottom: 60px;
    text-align: center;
}
#unitQuestionStatus_1 label,
#unitQuestionStatus_2 label,
#unitQuestionStatus_3 label {
    margin-top: 10px;
    margin-bottom: 280px;
    color: #333333;
    font-size: 1.2em;
    font-weight: 600;
    line-height: 0.8;
    font-family: 'roboto-bold'!important;
}
#unitQuestionStatus_1 ul,
#unitQuestionStatus_2 ul,
#unitQuestionStatus_3 ul {
    display: block;
    position: relative;
    left: 10px;
    top: 15px;
    width:auto;
    height:120px;
    list-style-type: none;
    margin-left: 0px;
    padding-left: 0px;
}
#unitQuestionStatus_1 ul li,
#unitQuestionStatus_2 ul li,
#unitQuestionStatus_3 ul li {
    display:inline-block;
    position:relative;
    width: auto;
    height: auto;
    margin-bottom: 10px;
}
#unitQuestionStatus_1 > ul > li:nth-child(2),
#unitQuestionStatus_2 > ul > li:nth-child(2),
#unitQuestionStatus_3 > ul > li:nth-child(2),
#unitQuestionStatus_1 > ul > li:nth-child(4),
#unitQuestionStatus_2 > ul > li:nth-child(4) {
    top:30px;
}
#unitQuestionStatus_3 > ul > li:nth-child(4) {
    top: 0px;
}
#unitQuestionStatus_1 > ul > li:nth-child(3),
#unitQuestionStatus_2 > ul > li:nth-child(3) {
    top:40px;
}
#unitQuestionStatus_3 > ul > li:nth-child(3) {
    top: 32px;
}
#unitQuestionStatus_1 > ul > li:nth-child(7),
#unitQuestionStatus_2 > ul > li:nth-child(7),
#unitQuestionStatus_3 > ul > li:nth-child(7),
#unitQuestionStatus_1 > ul > li:nth-child(9),
#unitQuestionStatus_2 > ul > li:nth-child(9),
#unitQuestionStatus_3 > ul > li:nth-child(9) {
    top: 35px;
}
#unitQuestionStatus_1 > ul > li:nth-child(8),
#unitQuestionStatus_2 > ul > li:nth-child(8),
#unitQuestionStatus_3 > ul > li:nth-child(8) {
    top: 45px;
    left: 4px;
}
#unitQuestionStatus_1 > ul > li:nth-child(2),
#unitQuestionStatus_2 > ul > li:nth-child(2),
#unitQuestionStatus_3 > ul > li:nth-child(2) {
    left: -5px;
}
#unitQuestionStatus_1 > ul > li:nth-child(7),
#unitQuestionStatus_2 > ul > li:nth-child(7),
#unitQuestionStatus_3 > ul > li:nth-child(7) {
    left: -1px;
}
#unitQuestionStatus_1 > ul > li:nth-child(4),
#unitQuestionStatus_2 > ul > li:nth-child(4),
#unitQuestionStatus_3 > ul > li:nth-child(4) {
    left: 5px;
}
#unitQuestionStatus_1 > ul > li:nth-child(9),
#unitQuestionStatus_2 > ul > li:nth-child(9),
#unitQuestionStatus_3 > ul > li:nth-child(9) {
    left: 9px;
}
#unitQuestionStatus_1 > ul > li:nth-child(6),
#unitQuestionStatus_2 > ul > li:nth-child(6),
#unitQuestionStatus_3 > ul > li:nth-child(6),
#unitQuestionStatus_1 > ul > li:nth-child(10),
#unitQuestionStatus_2 > ul > li:nth-child(10),
#unitQuestionStatus_3 > ul > li:nth-child(10) {
    left: 4px;
    top: 15px;
}
#unitQuestionStatus_1 > ul > li:nth-child(10) span,
#unitQuestionStatus_2 > ul > li:nth-child(10) span,
#unitQuestionStatus_3 > ul > li:nth-child(10) span {
    left: -35px;
}
#unitQuestionStatus_1 .img-status,
#unitQuestionStatus_2 .img-status,
#unitQuestionStatus_3 .img-status {
    display: block;
    position: relative;
    top: 90px;
    left: -5px;
    width: 150px;
    margin: auto;   
}
#unitQuestionStatus_1 .img-status img.incomplete,
#unitQuestionStatus_2 .img-status img.incomplete,
#unitQuestionStatus_3 .img-status img.incomplete,
#unitQuestionStatus_1 .img-status img.complete,
#unitQuestionStatus_2 .img-status img.complete,
#unitQuestionStatus_3 .img-status img.complete {
    display: block;
    position: absolute;
    left: -45px;
    top: -15px;
    width: 250px;
    min-width: 250px;
    height: 250px;
    border: 2px solid #eaeaea;
    border-radius: 50%;
}
#unitQuestionStatus_1 .img-status img.complete,
#unitQuestionStatus_2 .img-status img.complete,
#unitQuestionStatus_3 .img-status img.complete {
    opacity: 0;
}
#unitQuestionStatus_1 .img-status img.incomplete.flipHide,
#unitQuestionStatus_2 .img-status img.incomplete.flipHide,
#unitQuestionStatus_3 .img-status img.incomplete.flipHide {
    animation-name: flipHorizontallyHiding;
    animation-duration: 0.75s;
    animation-fill-mode: forwards;
        
    -webkit-animation-name: flipHorizontallyHiding;
    -webkit-animation-duration: 0.75s;
    -webkit-animation-fill-mode: forwards;

    -ms-animation-name: flipHorizontallyHiding;
    -ms-animation-duration: 0.75s;
    -ms-animation-fill-mode: forwards;

    -moz-animation-name: flipHorizontallyHiding;
    -moz-animation-duration: 0.75s;
    -moz-animation-fill-mode: forwards;

    -webkit-backface-visibility: visible !important;
    backface-visibility: visible !important;
}
#unitQuestionStatus_1 .img-status img.complete.flipShow,
#unitQuestionStatus_2 .img-status img.complete.flipShow,
#unitQuestionStatus_3 .img-status img.complete.flipShow {
    animation-name: flipHorizontallyShowing;
    animation-duration: 0.75s;
    animation-fill-mode: forwards;
        
    -webkit-animation-name: flipHorizontallyShowing;
    -webkit-animation-duration: 0.75s;
    -webkit-animation-fill-mode: forwards;

    -ms-animation-name: flipHorizontallyShowing;
    -ms-animation-duration: 0.75s;
    -ms-animation-fill-mode: forwards;

    -moz-animation-name: flipHorizontallyShowing;
    -moz-animation-duration: 0.75s;
    -moz-animation-fill-mode: forwards;

    -webkit-backface-visibility: visible !important;
    backface-visibility: visible !important;
}
#unitQuestionStatus_1 .line,
#unitQuestionStatus_2 .line,
#unitQuestionStatus_1 .line.filled,
#unitQuestionStatus_2 .line.filled {
    display: block;
    position: absolute;
    top: 45%;
    left: 50%;
    z-index: -1;
    height: 2px;
    width: 0px;
    background-color: #eaeaea;
}
#unitQuestionStatus_1 .line.filled,
#unitQuestionStatus_2 .line.filled {
    animation-name: fillLineBetweenModules;
    animation-duration: 1s;
    animation-fill-mode: forwards;
        
    -webkit-animation-name: fillLineBetweenModules;
    -webkit-animation-duration: 1s;
    -webkit-animation-fill-mode: forwards;

    -ms-animation-name: fillLineBetweenModules;
    -ms-animation-duration: 1s;
    -ms-animation-fill-mode: forwards;

    -moz-animation-name: fillLineBetweenModules;
    -moz-animation-duration: 1s;
    -moz-animation-fill-mode: forwards;

    -webkit-backface-visibility: visible !important;
    backface-visibility: visible !important;
}

/**
 * Flip and hide
 */
@keyframes flipHorizontallyHiding {
    from {
        -webkit-transform: perspective(150px);
        transform: perspective(150px);
        width: 150px;
        opacity:1;
    }
    30% {
        -webkit-transform: perspective(150px) rotate3d(0, 1, 0, -10deg);
        transform: perspective(150px) rotate3d(0, 1, 0, -10deg);
        width: 160px;
        opacity:0.85;
    }
    to {
        -webkit-transform: perspective(150px) rotate3d(0, 1, 0, 360deg);
        transform: perspective(150px) rotate3d(0, 1, 0, 360deg);
        width: 150px;
        opacity:0;
    }
}
@-moz-keyframes flipHorizontallyHiding {
    from {
        -webkit-transform: perspective(150px);
        transform: perspective(150px);
        width: 150px;
        opacity:1;
    }
    30% {
        -webkit-transform: perspective(150px) rotate3d(0, 1, 0, -10deg);
        transform: perspective(150px) rotate3d(0, 1, 0, -10deg);
        width: 160px;
        opacity:0.85;
    }
    to {
        -webkit-transform: perspective(150px) rotate3d(0, 1, 0, 360deg);
        transform: perspective(150px) rotate3d(0, 1, 0, 360deg);
        width: 150px;
        opacity:0;
    }
}
@-webkit-keyframes flipHorizontallyHiding {
    from {
        -webkit-transform: perspective(150px);
        transform: perspective(150px);
        width: 150px;
        opacity:1;
    }
    30% {
        -webkit-transform: perspective(150px) rotate3d(0, 1, 0, -10deg);
        transform: perspective(150px) rotate3d(0, 1, 0, -10deg);
        width: 160px;
        opacity:0.85;
    }
    to {
        -webkit-transform: perspective(150px) rotate3d(0, 1, 0, 360deg);
        transform: perspective(150px) rotate3d(0, 1, 0, 360deg);
        width: 150px;
        opacity:0;
    }
}

/**
 * Flip and show
 */
@keyframes flipHorizontallyShowing {
    from {
        -webkit-transform: perspective(150px);
        transform: perspective(150px);
        width: 150px;
        opacity:0;
    }
    60% {
        -webkit-transform: perspective(150px) rotate3d(0, 1, 0, -10deg);
        transform: perspective(150px) rotate3d(0, 1, 0, -10deg);
        width: 160px;
        opacity:0.6;
    }
    to {
        -webkit-transform: perspective(150px) rotate3d(0, 1, 0, 360deg);
        transform: perspective(150px) rotate3d(0, 1, 0, 360deg);
        width: 150px;
        opacity:1;
    }
}
@-moz-keyframes flipHorizontallyShowing {
    from {
        -webkit-transform: perspective(150px);
        transform: perspective(150px);
        width: 150px;
        opacity:0;
    }
    60% {
        -webkit-transform: perspective(150px) rotate3d(0, 1, 0, -10deg);
        transform: perspective(150px) rotate3d(0, 1, 0, -10deg);
        width: 160px;
        opacity:0.6;
    }
    to {
        -webkit-transform: perspective(150px) rotate3d(0, 1, 0, 360deg);
        transform: perspective(150px) rotate3d(0, 1, 0, 360deg);
        width: 150px;
        opacity:1;
    }
}
@-webkit-keyframes flipHorizontallyShowing {
    from {
        -webkit-transform: perspective(150px);
        transform: perspective(150px);
        width: 150px;
        opacity:0;
    }
    60% {
        -webkit-transform: perspective(150px) rotate3d(0, 1, 0, -10deg);
        transform: perspective(150px) rotate3d(0, 1, 0, -10deg);
        width: 160px;
        opacity:0.6;
    }
    to {
        -webkit-transform: perspective(150px) rotate3d(0, 1, 0, 360deg);
        transform: perspective(150px) rotate3d(0, 1, 0, 360deg);
        width: 150px;
        opacity:1;
    }
}

/**
 * Fill line between modules
 */
@keyframes fillLineBetweenModules {
    from {
        width: 0px;
        opacity:1;
    }
    30% {
        width: calc(var(--vw, 1vw) * 15);
        opacity:0.85;
    }
    to {
        width: calc(var(--vw, 1vw) * 33);
        opacity:1;
    }
}
@-moz-keyframes fillLineBetweenModules {
    from {
        width: 0px;
        opacity:1;
    }
    30% {
        width: calc(var(--vw, 1vw) * 15);
        opacity:0.85;
    }
    to {
        width: calc(var(--vw, 1vw) * 33);
        opacity:1;
    }
}
@-webkit-keyframes fillLineBetweenModules {
    from {
        width: 0px;
        opacity:1;
    }
    30% {
        width: calc(var(--vw, 1vw) * 15);
        opacity:0.85;
    }
    to {
        width: calc(var(--vw, 1vw) * 33);
        opacity:1;
    }
}

@media(max-width:992px) {

    .question-status {
        top: 0px;
        left: 0px;
        bottom: 0px;
        margin-left: 0px;
        margin-right: 0px;
        margin-bottom: 50px;
    }

    #unitQuestionStatus_1 ul, 
    #unitQuestionStatus_2 ul, 
    #unitQuestionStatus_3 ul {
        height: 130px;
    }

    #unitQuestionStatus_1 .line,
    #unitQuestionStatus_2 .line,
    #unitQuestionStatus_1 .line.filled,
    #unitQuestionStatus_2 .line.filled {
        top: 50%;
        left: 50%;
        width: 2px;
    }

    /**
     * Fill line between modules
     */
     @keyframes fillLineBetweenModules {
        from {
            height: 0px;
            opacity:1;
        }
        30% {
            height: calc(var(--vh, 1vh) * 15);
            opacity:0.85;
        }
        to {
            height: calc(var(--vh, 1vh) * 60);
            opacity:1;
        }
    }
    @-moz-keyframes fillLineBetweenModules {
        from {
            height: 0px;
            opacity:1;
        }
        30% {
            height: calc(var(--vh, 1vh) * 15);
            opacity:0.85;
        }
        to {
            height: calc(var(--vh, 1vh) * 60);
            opacity:1;
        }
    }
    @-webkit-keyframes fillLineBetweenModules {
        from {
            height: 0px;
            opacity:1;
        }
        30% {
            height: calc(var(--vh, 1vh) * 15);
            opacity:0.85;
        }
        to {
            height: calc(var(--vh, 1vh) * 60);
            opacity:1;
        }
    }

}

@media(max-width:767px) {

    #unitQuestionStatus_1, 
    #unitQuestionStatus_2, 
    #unitQuestionStatus_3 {
        width: 100%;
    }
    
    #unitQuestionStatus_1 > ul > li:nth-child(2),
    #unitQuestionStatus_2 > ul > li:nth-child(2),
    #unitQuestionStatus_3 > ul > li:nth-child(2),
    #unitQuestionStatus_1 > ul > li:nth-child(4),
    #unitQuestionStatus_2 > ul > li:nth-child(4),
    #unitQuestionStatus_3 > ul > li:nth-child(4) {
        top:0px;
    }
    #unitQuestionStatus_1 > ul > li:nth-child(3),
    #unitQuestionStatus_2 > ul > li:nth-child(3),
    #unitQuestionStatus_3 > ul > li:nth-child(3) {
        top:0px;
    }
    #unitQuestionStatus_1 > ul > li:nth-child(7),
    #unitQuestionStatus_2 > ul > li:nth-child(7),
    #unitQuestionStatus_3 > ul > li:nth-child(7),
    #unitQuestionStatus_1 > ul > li:nth-child(9),
    #unitQuestionStatus_2 > ul > li:nth-child(9),
    #unitQuestionStatus_3 > ul > li:nth-child(9) {
        top: 0px;
    }
    #unitQuestionStatus_1 > ul > li:nth-child(8),
    #unitQuestionStatus_2 > ul > li:nth-child(8),
    #unitQuestionStatus_3 > ul > li:nth-child(8) {
        top: 0px;
        left: 0px;
    }
    #unitQuestionStatus_1 > ul > li:nth-child(2),
    #unitQuestionStatus_2 > ul > li:nth-child(2),
    #unitQuestionStatus_3 > ul > li:nth-child(2) {
        left: 0px;
    }
    #unitQuestionStatus_1 > ul > li:nth-child(7),
    #unitQuestionStatus_2 > ul > li:nth-child(7),
    #unitQuestionStatus_3 > ul > li:nth-child(7) {
        left: 0px;
    }
    #unitQuestionStatus_1 > ul > li:nth-child(4),
    #unitQuestionStatus_2 > ul > li:nth-child(4),
    #unitQuestionStatus_3 > ul > li:nth-child(4) {
        left: 0px;
    }
    #unitQuestionStatus_1 > ul > li:nth-child(9),
    #unitQuestionStatus_2 > ul > li:nth-child(9),
    #unitQuestionStatus_3 > ul > li:nth-child(9) {
        left: 0px;
    }
    #unitQuestionStatus_1 > ul > li:nth-child(6),
    #unitQuestionStatus_2 > ul > li:nth-child(6),
    #unitQuestionStatus_3 > ul > li:nth-child(6),
    #unitQuestionStatus_1 > ul > li:nth-child(10),
    #unitQuestionStatus_2 > ul > li:nth-child(10),
    #unitQuestionStatus_3 > ul > li:nth-child(10) {
        left: 0px;
        top: 0px;
    }
    #unitQuestionStatus_1 > ul > li:nth-child(10) span,
    #unitQuestionStatus_2 > ul > li:nth-child(10) span,
    #unitQuestionStatus_3 > ul > li:nth-child(10) span {
        left: -35px;
    }

    /**
     * Fill line between modules
     */
     @keyframes fillLineBetweenModules {
        from {
            height: 0px;
            opacity:1;
        }
        30% {
            height: calc(var(--vh, 1vh) * 15);
            opacity:0.85;
        }
        to {
            height: calc(var(--vh, 1vh) * 90);
            opacity:1;
        }
    }
    @-moz-keyframes fillLineBetweenModules {
        from {
            height: 0px;
            opacity:1;
        }
        30% {
            height: calc(var(--vh, 1vh) * 15);
            opacity:0.85;
        }
        to {
            height: calc(var(--vh, 1vh) * 90);
            opacity:1;
        }
    }
    @-webkit-keyframes fillLineBetweenModules {
        from {
            height: 0px;
            opacity:1;
        }
        30% {
            height: calc(var(--vh, 1vh) * 15);
            opacity:0.85;
        }
        to {
            height: calc(var(--vh, 1vh) * 90);
            opacity:1;
        }
    }

}

/**
 * Final message
 */
.is-approved.fadded-in, 
.is-approved.fadded-out {
    display: block;
    position: fixed;
    left: 25%;
    top: -200px;
    width: 50%;
    height: 70%;
    padding: 30px;
    padding-top: 80px;
    text-align: center;
    font-size: 2em;
    font-weight: 600;
    background-color: rgba(255, 255, 255, 0.961) !important;
    border: 5px solid rgba(51, 51, 51, 0.129) !important;
    border-radius: 5px;
    transform: translateZ(1);
}
.is-approved.fadded-out {
    opacity:0;
}
.is-approved.fadded-in {
    animation-name: displayFinalMessage;
    animation-duration: 1s;
    animation-fill-mode: forwards;
        
    -webkit-animation-name: displayFinalMessage;
    -webkit-animation-duration: 1s;
    -webkit-animation-fill-mode: forwards;

    -ms-animation-name: displayFinalMessage;
    -ms-animation-duration: 1s;
    -ms-animation-fill-mode: forwards;

    -moz-animation-name: displayFinalMessage;
    -moz-animation-duration: 1s;
    -moz-animation-fill-mode: forwards;

    -webkit-backface-visibility: visible !important;
    backface-visibility: visible !important;
}
.is-approved .btn-close {
    display: block;
    position: relative;
    float: right;
    right: 0px;
    top: -50px;
    width: auto;
    height: auto;

    animation-name: unrotate-close-btn;
    animation-duration: 800ms;
    animation-fill-mode: forwards;

    -webkit-animation-name: unrotate-close-btn;
    -webkit-animation-duration: 800ms;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: unrotate-close-btn;
    -moz-animation-duration: 800ms;
    -moz-animation-fill-mode: forwards;
    
    -ms-animation-name: unrotate-close-btn;
    -ms-animation-duration: 800ms;
    -ms-animation-fill-mode: forwards;
}
.is-approved .btn-close:hover {
    animation-name: rotate-close-btn;
    animation-duration: 800ms;
    animation-fill-mode: forwards;

    -webkit-animation-name: rotate-close-btn;
    -webkit-animation-duration: 800ms;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: rotate-close-btn;
    -moz-animation-duration: 800ms;
    -moz-animation-fill-mode: forwards;
    
    -ms-animation-name: rotate-close-btn;
    -ms-animation-duration: 800ms;
    -ms-animation-fill-mode: forwards;
}
.is-approved .btn-close object {
    display: block;
    width: 32px;
    height: 32px;
    margin:auto;
}
.is-approved.fadded-in > div > .selectable {
    display: block;
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 100;
}
.is-approved .title {
    margin-left: 25px;
    font-family: 'roboto-bold'!important;
    font-size: 2em;
    font-weight: 700;
    color: #333;
}
.is-approved .msg {
    font-family: 'roboto-light'!important;
    font-size: .8em;
    font-weight: 500;
    color: #f4c532;
}
.is-approved .final-msg {
    display: block;
    width: 40%;
    height: auto;
    margin-left: 30%;
    margin-top: 30px;
    margin-bottom: 30px;
}
.is-approved.fadded-in.dismiss {
    animation-name: dismissFinalMessage;
    animation-duration: 1s;
    animation-fill-mode: forwards;
        
    -webkit-animation-name: dismissFinalMessage;
    -webkit-animation-duration: 1s;
    -webkit-animation-fill-mode: forwards;

    -ms-animation-name: dismissFinalMessage;
    -ms-animation-duration: 1s;
    -ms-animation-fill-mode: forwards;

    -moz-animation-name: dismissFinalMessage;
    -moz-animation-duration: 1s;
    -moz-animation-fill-mode: forwards;

    -webkit-backface-visibility: visible !important;
    backface-visibility: visible !important;
}

/**
 * Display final message
 */
@keyframes displayFinalMessage {
    from {
        top: -800px;
    }
    40% {
        top: 50%;
    }
    to {
        top: 20%;
    }
}
@-moz-keyframes displayFinalMessage {
    from {
        top: -800px;
    }
    40% {
        top: 50%;
    }
    to {
        top: 20%;
    }
}
@-webkit-keyframes displayFinalMessage {
    from {
        top: -800px;
    }
    40% {
        top: 50%;
    }
    to {
        top: 20%;
    }
}

@keyframes dismissFinalMessage {
    from {
        top: 20%;
    }
    40% {
        top: 50%;
    }
    to {
        top: -800px;
    }
}
@-moz-keyframes dismissFinalMessage {
    from {
        top: 20%;
    }
    40% {
        top: 50%;
    }
    to {
        top: -800px;
    }
}
@-webkit-keyframes dismissFinalMessage {
    from {
        top: 20%;
    }
    40% {
        top: 50%;
    }
    to {
        top: -800px;
    }
}

/**
 * Rotate close btn
 */
@keyframes rotate-close-btn {
    from {
        -moz-transform:rotate(180deg);
        -webkit-transform:rotate(180deg);
        -o-transform:rotate(180deg);
        -ms-transform:rotate(180deg);
    }
    to {
        -moz-transform:rotate(360deg);
        -webkit-transform:rotate(360deg);
        -o-transform:rotate(360deg);
        -ms-transform:rotate(360deg);
    }
}
@-moz-keyframes rotate-close-btn {
    from {
        -moz-transform:rotate(180deg);
        -webkit-transform:rotate(180deg);
        -o-transform:rotate(180deg);
        -ms-transform:rotate(180deg);
    }
    to {
        -moz-transform:rotate(360deg);
        -webkit-transform:rotate(360deg);
        -o-transform:rotate(360deg);
        -ms-transform:rotate(360deg);
    }
}
@-webkit-keyframes rotate-close-btn {
    from {
        -moz-transform:rotate(180deg);
        -webkit-transform:rotate(180deg);
        -o-transform:rotate(180deg);
        -ms-transform:rotate(180deg);
    }
    to {
        -moz-transform:rotate(360deg);
        -webkit-transform:rotate(360deg);
        -o-transform:rotate(360deg);
        -ms-transform:rotate(360deg);
    }
}

@keyframes unrotate-close-btn {
    from {
        -moz-transform:rotate(360deg);
        -webkit-transform:rotate(360deg);
        -o-transform:rotate(360deg);
        -ms-transform:rotate(360deg);
    }
    to {
        -moz-transform:rotate(180deg);
        -webkit-transform:rotate(180deg);
        -o-transform:rotate(180deg);
        -ms-transform:rotate(180deg);
    }
}
@-moz-keyframes unrotate-close-btn {
    from {
        -moz-transform:rotate(360deg);
        -webkit-transform:rotate(360deg);
        -o-transform:rotate(360deg);
        -ms-transform:rotate(360deg);
    }
    to {
        -moz-transform:rotate(180deg);
        -webkit-transform:rotate(180deg);
        -o-transform:rotate(180deg);
        -ms-transform:rotate(180deg);
    }
}
@-webkit-keyframes unrotate-close-btn {
    from {
        -moz-transform:rotate(360deg);
        -webkit-transform:rotate(360deg);
        -o-transform:rotate(360deg);
        -ms-transform:rotate(360deg);
    }
    to {
        -moz-transform:rotate(180deg);
        -webkit-transform:rotate(180deg);
        -o-transform:rotate(180deg);
        -ms-transform:rotate(180deg);
    }
}

@media(max-width: 992px) {

    .is-approved.fadded-in, .is-approved.fadded-out {
        height: auto;
    }
    .is-approved .final-msg {
        width: 80%;
        margin-left: 10%;
    }

}

@media(max-width:767px) {

    .is-approved.fadded-in, 
    .is-approved.fadded-out {
        left: 5%;
        top: -200px;
        width: 90%;
        height: auto;
        font-size: 1em;
    }
    .is-approved .btn-close {
        top: -50px;
        right: 0px;
    }
    .is-approved .btn-close object {
        width: 32px;
        height: 32px;
    }
    .is-approved .msg {
        font-size: 20px;
    }

    @keyframes displayFinalMessage {
        from {
            top: -800px;
        }
        40% {
            top: 50%;
        }
        to {
            top: 15%;
        }
    }
    @-moz-keyframes displayFinalMessage {
        from {
            top: -800px;
        }
        40% {
            top: 50%;
        }
        to {
            top: 15%;
        }
    }
    @-webkit-keyframes displayFinalMessage {
        from {
            top: -800px;
        }
        40% {
            top: 50%;
        }
        to {
            top: 15%;
        }
    }

}